private import std.cstream;

private import antlrrt.runtime;

private import Static;

private import PLexer;
private import PParser;


static this()
{
    Static.selector = new TokenStreamSelector();
}




public int main() {
    with (Main)
    {
        try {
            // attach java lexer to the input stream,
            mainLexer = new PLexer(din);
            
            // notify selector about starting lexer; name for convenience
            selector.addInputStream(mainLexer, asWString("main"));
            selector.select(asWString("main")); // start with main P lexer
            
            // Create parser attached to selector
            parser = new PParser(selector);
            
            // Parse the input language: P
            parser.setFilename(asWString("<stdin>"));
            parser.startRule();
        }
        
        catch(Exception e) {
            System.err.println(asWString("exception: " ~ e.toString()));
        }
    }
    
    return 0;
}
